Bug 584895 - Upgrade libgda to >= 4.0.8
Upgrade libgda to >= 4.0.8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libgda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 12:46 EDT by Jarkko
Modified: 2010-05-05 23:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: libgda-4.0.8-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 21:17:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarkko 2010-04-22 12:46:44 EDT
Description of problem:

Current libgda version is not necessarily stable / feature rich enough for derived applications. This is important because the version will eventually end up in EPEL's EL6 repository.

Libgda 4.0.8 provides many important biugfixes:

 * better BLOBs support for SQLite and MySQL
 * backported information fetching about tables' indexes
 * fixed data corruption problem with GdaDataSelect object
 * lots of bugs fixed and memory leaks removed

And also new gir1.0-gda package which is fundamental for derived applications in Gnome, since it provides GObject Introspection support.


Version-Release number of selected component (if applicable):

4.0.5 in F12, 4.0.7 in F13 and rawhide.


Expected results:

Derived applications need >= 4.0.8 which means F12, F13 and rawhide should be updated to that version.


Additional info:

libgda can be downloaded from http://ftp.acc.umu.se/pub/GNOME/sources/libgda/4.0/
Comment 1 Haïkel Guémar 2010-04-23 04:57:07 EDT
It should be pushed today for F-12+ (builds fine w/ GI on F-12+ now)
Following fedora current practices, GObject introspection stuff won't be packaged apart, *.gir will go in *-devel subpackage and *.typefile in main package.

I originally planned to go straight to 4.1.x (mainly because of libgda-ui) for F-13+, but it would be unwise to push unstable version into EL6. 
For testing purpose, could you tell me which are those applications requiring libgda GI support ?

Thanks, 
H.
Comment 2 Jarkko 2010-04-23 05:55:25 EDT
I created this bug on behalf of the Midgard Project (Midgard2 is built on top of libgda) so I don't know all the details...

Asked about applications requiring libgda GI support and got this response from the head developer of the Midgard2 library/core:

"I do not think there's application which requires Gda GIR right now, but libs like Midgard can not build own GIR because of Gda misses one :)"


Btw. It wouldn't hurt to push the update for F11 too. 4.0.5 there isn't really useful from what I've understood. 4.0.8 has proven as a working version and all 4.0.x having repositories under maintenance should be updated to >= 4.0.8 if possible.

Anyway, the reason I created this ticket was that it's actually critical to have at least 4.0.8 in EL6 when its EPEL repository opens. Thanks.
Comment 3 Fedora Update System 2010-04-23 15:33:33 EDT
libgda-4.0.8-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libgda-4.0.8-2.fc13
Comment 4 Fedora Update System 2010-04-24 02:23:04 EDT
libgda-4.0.8-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libgda-4.0.8-1.fc12
Comment 5 Fedora Update System 2010-04-25 09:59:05 EDT
libgda-4.0.8-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgda'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libgda-4.0.8-2.fc13
Comment 6 Fedora Update System 2010-04-26 22:31:09 EDT
libgda-4.0.8-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libgda'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/libgda-4.0.8-1.fc12
Comment 7 Fedora Update System 2010-04-27 21:17:01 EDT
libgda-4.0.8-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-05-05 23:45:37 EDT
libgda-4.0.8-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.